'''
Input data for modeling test
'''
import pandas as pd

solver_time_limit_minutes = 2

vehicles = {'Vehicle 1': {'TYPE': '48 FOOTER TRUCK',
                          'CAPACITY': 20,
                          'MAXIMUM_SOLO_TRAVEL_HOURS': 12,
                          'MAXIMUM_TEAM_TRAVEL_HOURS': 20,
                          'TRANS_COST_PER_MINUTE': 5,
                          'HELPER_COST_PER_HELPER_PER_ROUTE': 1200,
                          'TEAM_COST_PER_TEAM_PER_ROUTE': 2000,
                          'TEAM': 'assign'}}

depot = {'Depot': {'LATITUDE': 36.16266, 'LONGITUDE': -86.7816}}

locations = {'Loc 1': {'LATITUDE': 35.90206, 'LONGITUDE': -84.15078000000003,
                      'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                      'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                      'DEMAND': 1},
             'Loc 2': {'LATITUDE': 35.74983, 'LONGITUDE': -83.99221999999997,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 3': {'LATITUDE': 35.90774000000001, 'LONGITUDE': -83.83917,
                             'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                             'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                             'DEMAND': 1},
             'Loc 4': {'LATITUDE': 35.90774000000001, 'LONGITUDE': -83.83917,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 5': {'LATITUDE': 35.86252, 'LONGITUDE': -84.06661,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 12': {'LATITUDE': 35.91035, 'LONGITUDE': -84.09155,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 9': {'LATITUDE': 35.92597, 'LONGITUDE': -84.04231,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 10': {'LATITUDE': 35.92503, 'LONGITUDE': -84.03772,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 8': {'LATITUDE': 36.02281, 'LONGITUDE': -83.92627,
                       'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                       'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                       'DEMAND': 1},
             'Loc 7': {'LATITUDE': 36.02281, 'LONGITUDE': -83.92627,
                             'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                             'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                             'DEMAND': 1},
             'Loc 11': {'LATITUDE': 35.92140999999999, 'LONGITUDE': -84.09299,
                      'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                      'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                      'DEMAND': 1},
             'Loc 6': {'LATITUDE': 36.01434000000001, 'LONGITUDE': -84.25522,
                      'TW_START_MINUTES': 960, 'TW_END_MINUTES': 1950,
                      'STOP_TIME_WH_HELPER': 27, 'STOP_TIME_W_HELPER': 21,
                      'DEMAND': 1}}

transportation_matrix = {
    ('Depot', 'Depot'): {'FROM_LATITUDE': 36.16266,
                                                                             'FROM_LONGITUDE': -86.7816,
                                                                             'TO_LATITUDE': 36.16266,
                                                                             'TO_LONGITUDE': -86.7816,
                                                                             'DRIVE_MINUTES': 0.0},
    ('Depot', 'Loc 1'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                  'TO_LATITUDE': 35.90206, 'TO_LONGITUDE': -84.15078000000003,
                                                  'DRIVE_MINUTES': 163.85},
    ('Depot', 'Loc 2'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.74983, 'TO_LONGITUDE': -83.99221999999997,
                                                   'DRIVE_MINUTES': 206.06},
    ('Depot', 'Loc 3'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                         'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917,
                                                         'DRIVE_MINUTES': 210.03},
    ('Depot', 'Loc 4'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917,
                                                   'DRIVE_MINUTES': 210.03},
    ('Depot', 'Loc 5'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.86252, 'TO_LONGITUDE': -84.06661,
                                                   'DRIVE_MINUTES': 172.03},
    ('Depot', 'Loc 6'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                  'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522,
                                                  'DRIVE_MINUTES': 171.8},
    ('Depot', 'Loc 7'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                         'TO_LATITUDE': 36.02281, 'TO_LONGITUDE': -83.92627,
                                                         'DRIVE_MINUTES': 203.98},
    ('Depot', 'Loc 8'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 36.02281, 'TO_LONGITUDE': -83.92627,
                                                   'DRIVE_MINUTES': 203.98},
    ('Depot', 'Loc 9'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.92597, 'TO_LONGITUDE': -84.04231,
                                                   'DRIVE_MINUTES': 190.15},
    ('Depot', 'Loc 10'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.92503, 'TO_LONGITUDE': -84.03772,
                                                   'DRIVE_MINUTES': 193.46},
    ('Depot', 'Loc 11'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                  'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299,
                                                  'DRIVE_MINUTES': 169.86},
    ('Depot', 'Loc 12'): {'FROM_LATITUDE': 36.16266, 'FROM_LONGITUDE': -86.7816,
                                                   'TO_LATITUDE': 35.91035, 'TO_LONGITUDE': -84.09155,
                                                   'DRIVE_MINUTES': 169.04},
    ('Loc 1', 'Depot'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003,
                                                  'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                  'DRIVE_MINUTES': 168.13},
    ('Loc 1', 'Loc 1'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.90206,
                       'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 0.0},
    ('Loc 1', 'Loc 2'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.74983,
                        'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 30.37},
    ('Loc 1', 'Loc 3'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003,
                              'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 38.02},
    ('Loc 1', 'Loc 4'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003,
                        'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 38.02},
    ('Loc 1', 'Loc 5'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.86252,
                        'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 16.25},
    ('Loc 1', 'Loc 6'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003,
                       'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 29.76},
    ('Loc 1', 'Loc 7'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 36.02281,
                              'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 32.93},
    ('Loc 1', 'Loc 8'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 36.02281,
                        'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 32.93},
    ('Loc 1', 'Loc 9'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.92597,
                        'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 17.42},
    ('Loc 1', 'Loc 10'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.92503,
                        'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 19.86},
    ('Loc 1', 'Loc 11'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003,
                       'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 14.04},
    ('Loc 1', 'Loc 12'): {'FROM_LATITUDE': 35.90206, 'FROM_LONGITUDE': -84.15078000000003, 'TO_LATITUDE': 35.91035,
                        'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 13.01},
    ('Loc 2', 'Depot'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 206.06},
    ('Loc 2', 'Loc 1'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 30.86},
    ('Loc 2', 'Loc 2'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 0.0},
    ('Loc 2', 'Loc 3'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997,
                               'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 28.24},
    ('Loc 2', 'Loc 4'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997,
                         'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 28.24},
    ('Loc 2', 'Loc 5'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 18.98},
    ('Loc 2', 'Loc 6'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997,
                        'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 42.29},
    ('Loc 2', 'Loc 7'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 35.52},
    ('Loc 2', 'Loc 8'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 35.52},
    ('Loc 2', 'Loc 9'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 30.23},
    ('Loc 2', 'Loc 10'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 32.67},
    ('Loc 2', 'Loc 11'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997,
                        'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 26.85},
    ('Loc 2', 'Loc 12'): {'FROM_LATITUDE': 35.74983, 'FROM_LONGITUDE': -83.99221999999997, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 24.75},
    ('Loc 3', 'Depot'): {'FROM_LATITUDE': 35.90774000000001,
                                                         'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 36.16266,
                                                         'TO_LONGITUDE': -86.7816, 'DRIVE_MINUTES': 210.03},
    ('Loc 3', 'Loc 1'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.90206,
                              'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 38.02},
    ('Loc 3', 'Loc 2'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.74983,
                               'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 28.24},
    ('Loc 3', 'Loc 3'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                                     'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 0.0},
    ('Loc 3', 'Loc 4'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                               'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 15.0},
    ('Loc 3', 'Loc 5'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.86252,
                               'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 26.09},
    ('Loc 3', 'Loc 6'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                              'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 50.73},
    ('Loc 3', 'Loc 7'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                                     'TO_LATITUDE': 36.02281, 'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 27.01},
    ('Loc 3', 'Loc 8'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 27.01},
    ('Loc 3', 'Loc 9'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.92597,
                               'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 29.11},
    ('Loc 3', 'Loc 10'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.92503,
                               'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 31.62},
    ('Loc 3', 'Loc 11'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                              'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 33.15},
    ('Loc 3', 'Loc 12'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.91035,
                               'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 33.09},
    ('Loc 4', 'Depot'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 210.03},
    ('Loc 4', 'Loc 1'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 38.02},
    ('Loc 4', 'Loc 2'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 28.24},
    ('Loc 4', 'Loc 3'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                               'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 15.0},
    ('Loc 4', 'Loc 4'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                         'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 0.0},
    ('Loc 4', 'Loc 5'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 26.09},
    ('Loc 4', 'Loc 6'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                        'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 50.73},
    ('Loc 4', 'Loc 7'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 27.01},
    ('Loc 4', 'Loc 8'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 27.01},
    ('Loc 4', 'Loc 9'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 29.11},
    ('Loc 4', 'Loc 10'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 31.62},
    ('Loc 4', 'Loc 11'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917,
                        'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 33.15},
    ('Loc 4', 'Loc 12'): {'FROM_LATITUDE': 35.90774000000001, 'FROM_LONGITUDE': -83.83917, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 33.09},
    ('Loc 5', 'Depot'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 170.47},
    ('Loc 5', 'Loc 1'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 15.08},
    ('Loc 5', 'Loc 2'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 20.04},
    ('Loc 5', 'Loc 3'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 26.09},
    ('Loc 5', 'Loc 4'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.90774000000001,
                         'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 26.09},
    ('Loc 5', 'Loc 5'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 0.0},
    ('Loc 5', 'Loc 6'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 36.01434000000001,
                        'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 26.52},
    ('Loc 5', 'Loc 7'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 29.97},
    ('Loc 5', 'Loc 8'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 29.97},
    ('Loc 5', 'Loc 9'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 14.46},
    ('Loc 5', 'Loc 10'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 14.79},
    ('Loc 5', 'Loc 11'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.92140999999999,
                        'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 11.08},
    ('Loc 5', 'Loc 12'): {'FROM_LATITUDE': 35.86252, 'FROM_LONGITUDE': -84.06661, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 8.98},
    ('Loc 6', 'Depot'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522,
                                                  'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                  'DRIVE_MINUTES': 174.84},
    ('Loc 6', 'Loc 1'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.90206,
                       'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 29.97},
    ('Loc 6', 'Loc 2'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.74983,
                        'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 43.18},
    ('Loc 6', 'Loc 3'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522,
                              'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 50.73},
    ('Loc 6', 'Loc 4'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522,
                        'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 50.73},
    ('Loc 6', 'Loc 5'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.86252,
                        'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 29.06},
    ('Loc 6', 'Loc 6'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522,
                       'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 0.0},
    ('Loc 6', 'Loc 7'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 36.02281,
                              'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 42.32},
    ('Loc 6', 'Loc 8'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 36.02281,
                        'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 42.32},
    ('Loc 6', 'Loc 9'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.92597,
                        'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 29.26},
    ('Loc 6', 'Loc 10'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.92503,
                        'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 31.7},
    ('Loc 6', 'Loc 11'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522,
                       'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 25.88},
    ('Loc 6', 'Loc 12'): {'FROM_LATITUDE': 36.01434000000001, 'FROM_LONGITUDE': -84.25522, 'TO_LATITUDE': 35.91035,
                        'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 26.02},
    ('Loc 7', 'Depot'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627,
                                                         'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                         'DRIVE_MINUTES': 203.98},
    ('Loc 7', 'Loc 1'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.90206,
                              'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 32.75},
    ('Loc 7', 'Loc 2'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.74983,
                               'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 36.34},
    ('Loc 7', 'Loc 3'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627,
                                     'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917,
                                     'DRIVE_MINUTES': 27.01},
    ('Loc 7', 'Loc 4'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 27.01},
    ('Loc 7', 'Loc 5'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.86252,
                               'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 31.6},
    ('Loc 7', 'Loc 6'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.01434000000001,
                              'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 42.48},
    ('Loc 7', 'Loc 7'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.02281,
                                     'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 0.0},
    ('Loc 7', 'Loc 8'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 15.0},
    ('Loc 7', 'Loc 9'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92597,
                               'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 19.03},
    ('Loc 7', 'Loc 10'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92503,
                               'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 21.47},
    ('Loc 7', 'Loc 11'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92140999999999,
                              'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 22.27},
    ('Loc 7', 'Loc 12'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.91035,
                               'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 25.28},
    ('Loc 8', 'Depot'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 203.98},
    ('Loc 8', 'Loc 1'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 32.75},
    ('Loc 8', 'Loc 2'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 36.34},
    ('Loc 8', 'Loc 3'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 27.01},
    ('Loc 8', 'Loc 4'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.90774000000001,
                         'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 27.01},
    ('Loc 8', 'Loc 5'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 31.6},
    ('Loc 8', 'Loc 6'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.01434000000001,
                        'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 42.48},
    ('Loc 8', 'Loc 7'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 15.0},
    ('Loc 8', 'Loc 8'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 0.0},
    ('Loc 8', 'Loc 9'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 19.03},
    ('Loc 8', 'Loc 10'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 21.47},
    ('Loc 8', 'Loc 11'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.92140999999999,
                        'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 22.27},
    ('Loc 8', 'Loc 12'): {'FROM_LATITUDE': 36.02281, 'FROM_LONGITUDE': -83.92627, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 25.28},
    ('Loc 9', 'Depot'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 190.15},
    ('Loc 9', 'Loc 1'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 20.59},
    ('Loc 9', 'Loc 2'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 33.49},
    ('Loc 9', 'Loc 3'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 29.11},
    ('Loc 9', 'Loc 4'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.90774000000001,
                         'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 29.11},
    ('Loc 9', 'Loc 5'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 14.55},
    ('Loc 9', 'Loc 6'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 36.01434000000001,
                        'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 31.17},
    ('Loc 9', 'Loc 7'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 21.15},
    ('Loc 9', 'Loc 8'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 21.15},
    ('Loc 9', 'Loc 9'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 0.0},
    ('Loc 9', 'Loc 10'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 3.38},
    ('Loc 9', 'Loc 11'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.92140999999999,
                        'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 10.11},
    ('Loc 9', 'Loc 12'): {'FROM_LATITUDE': 35.92597, 'FROM_LONGITUDE': -84.04231, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 11.54},
    ('Loc 10', 'Depot'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 193.46},
    ('Loc 10', 'Loc 1'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 22.85},
    ('Loc 10', 'Loc 2'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 35.4},
    ('Loc 10', 'Loc 3'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 31.62},
    ('Loc 10', 'Loc 4'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.90774000000001,
                         'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 31.62},
    ('Loc 10', 'Loc 5'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 16.19},
    ('Loc 10', 'Loc 6'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 36.01434000000001,
                        'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 33.43},
    ('Loc 10', 'Loc 7'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 22.52},
    ('Loc 10', 'Loc 8'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 22.52},
    ('Loc 10', 'Loc 9'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 6.41},
    ('Loc 10', 'Loc 10'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 0.0},
    ('Loc 10', 'Loc 11'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.92140999999999,
                        'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 12.37},
    ('Loc 10', 'Loc 12'): {'FROM_LATITUDE': 35.92503, 'FROM_LONGITUDE': -84.03772, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 14.58},
    ('Loc 11', 'Depot'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299,
                                                  'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                  'DRIVE_MINUTES': 167.95},
    ('Loc 11', 'Loc 1'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.90206,
                       'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 13.6},
    ('Loc 11', 'Loc 2'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.74983,
                        'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 27.19},
    ('Loc 11', 'Loc 3'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299,
                              'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 33.15},
    ('Loc 11', 'Loc 4'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299,
                        'TO_LATITUDE': 35.90774000000001, 'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 33.15},
    ('Loc 11', 'Loc 5'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.86252,
                        'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 13.07},
    ('Loc 11', 'Loc 6'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299,
                       'TO_LATITUDE': 36.01434000000001, 'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 24.17},
    ('Loc 11', 'Loc 7'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 36.02281,
                              'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 24.22},
    ('Loc 11', 'Loc 8'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 36.02281,
                        'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 24.22},
    ('Loc 11', 'Loc 9'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.92597,
                        'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 8.71},
    ('Loc 11', 'Loc 10'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.92503,
                        'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 11.15},
    ('Loc 11', 'Loc 11'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299,
                       'TO_LATITUDE': 35.92140999999999, 'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 0.0},
    ('Loc 11', 'Loc 12'): {'FROM_LATITUDE': 35.92140999999999, 'FROM_LONGITUDE': -84.09299, 'TO_LATITUDE': 35.91035,
                        'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 5.61},
    ('Loc 12', 'Depot'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155,
                                                   'TO_LATITUDE': 36.16266, 'TO_LONGITUDE': -86.7816,
                                                   'DRIVE_MINUTES': 169.45},
    ('Loc 12', 'Loc 1'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.90206,
                        'TO_LONGITUDE': -84.15078000000003, 'DRIVE_MINUTES': 13.05},
    ('Loc 12', 'Loc 2'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.74983,
                         'TO_LONGITUDE': -83.99221999999997, 'DRIVE_MINUTES': 25.81},
    ('Loc 12', 'Loc 3'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.90774000000001,
                               'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 33.09},
    ('Loc 12', 'Loc 4'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.90774000000001,
                         'TO_LONGITUDE': -83.83917, 'DRIVE_MINUTES': 33.09},
    ('Loc 12', 'Loc 5'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.86252,
                         'TO_LONGITUDE': -84.06661, 'DRIVE_MINUTES': 11.63},
    ('Loc 12', 'Loc 6'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 36.01434000000001,
                        'TO_LONGITUDE': -84.25522, 'DRIVE_MINUTES': 25.5},
    ('Loc 12', 'Loc 7'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 36.02281,
                               'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 25.91},
    ('Loc 12', 'Loc 8'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 36.02281,
                         'TO_LONGITUDE': -83.92627, 'DRIVE_MINUTES': 25.91},
    ('Loc 12', 'Loc 9'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.92597,
                         'TO_LONGITUDE': -84.04231, 'DRIVE_MINUTES': 10.4},
    ('Loc 12', 'Loc 10'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.92503,
                         'TO_LONGITUDE': -84.03772, 'DRIVE_MINUTES': 12.84},
    ('Loc 12', 'Loc 11'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.92140999999999,
                        'TO_LONGITUDE': -84.09299, 'DRIVE_MINUTES': 6.52},
    ('Loc 12', 'Loc 12'): {'FROM_LATITUDE': 35.91035, 'FROM_LONGITUDE': -84.09155, 'TO_LATITUDE': 35.91035,
                         'TO_LONGITUDE': -84.09155, 'DRIVE_MINUTES': 0.0}}

def convert_dictionary_to_pandas(locations):
    '''
    Convert dictionary to pandas
    :param locations:
    :return:
    '''
    locations = pd.DataFrame(locations).T
    locations = locations.reset_index()
    locations.index.name = None
    return locations


depot = convert_dictionary_to_pandas(depot)
depot.rename(columns={'index': 'LOCATION_NAME'}, inplace=True)

locations = convert_dictionary_to_pandas(locations)
locations.rename(columns={'index': 'LOCATION_NAME'}, inplace=True)

transportation_matrix = convert_dictionary_to_pandas(transportation_matrix)
transportation_matrix.rename(columns={'level_0': 'FROM_LOCATION_NAME',
                                      'level_1': 'TO_LOCATION_NAME'}, inplace=True)

vehicles = convert_dictionary_to_pandas(vehicles)
vehicles.rename(columns={'index': 'VEHICLE_NAME'}, inplace=True)